DWARF_GET_FORM_CLASS(3) | Library Functions Manual | DWARF_GET_FORM_CLASS(3)

# NAME

`dwarf_get_form_class` —
retrieve the form class of an attribute

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

enum Dwarf_Form_Class
`dwarf_get_form_class`(Dwarf_Half dwversion, Dwarf_Half attr, Dwarf_Half offset_size, Dwarf_Half form);

# DESCRIPTION

Function `dwarf_get_form_class`() returns the class of the form of a DWARF attribute.

Argument dwversion should specify the version number of DWARF specification to use: 2 for DWARF2, 3 for DWARF3 and 4 for DWARF4.

Argument attr should hold the attribute code of the attribute, i.e., one of the `DW_AT_*` values defined in `<libdwarf.h>`.

Argument offset_size should hold the size of a DWARF offset for the relevant compilation unit.

Argument form should hold the form code of the attribute.

# RETURN VALUES

On success, function `dwarf_get_form_class`() returns the form class code, which is one of the `DW_FORM_CLASS_*` contants defined in header file `<libdwarf.h>`. If the function was not able to determine the form class of the attribute, it returns the special form class code `DW_FORM_CLASS_UNKNOWN`.

# ERRORS

Function `dwarf_get_form_class`() does not return an error.

# SEE ALSO

dwarf(3), dwarf_attr(3), dwarf_whatattr(3), dwarf_whatform(3)

June 26, 2011 | NetBSD 9.5